# slate

## 0.63.0-202137152156

### Minor Changes

- [#4177](https://github.com/ianstormtaylor/slate/pull/4177) [`116cd03f`](https://github.com/ianstormtaylor/slate/commit/116cd03f157d0446710ee03b2e9dbe741e69b4ce) Thanks [@ianstormtaylor](https://github.com/ianstormtaylor)! - **The `Node.extractProps` utility is now `Node.props`.** This is just to stay consistent with the rest of the API that uses terse names for getters since they're used so frequently when writing transforms/normalizations.

* [#4177](https://github.com/ianstormtaylor/slate/pull/4177) [`116cd03f`](https://github.com/ianstormtaylor/slate/commit/116cd03f157d0446710ee03b2e9dbe741e69b4ce) Thanks [@ianstormtaylor](https://github.com/ianstormtaylor)! - **Remove `Element.isElementProps` and `Text.isTextProps`.** These didn't actually do what they promised to do, since they were really check if something was a base `Element` or base `Text` node, and not just a valid props object. So this removes them to not cause confusion. If you need to check if something is a valid props object you will need to implement it in userland because Slate doesn't have awareness of what is valid for you.

- [#4177](https://github.com/ianstormtaylor/slate/pull/4177) [`116cd03f`](https://github.com/ianstormtaylor/slate/commit/116cd03f157d0446710ee03b2e9dbe741e69b4ce) Thanks [@ianstormtaylor](https://github.com/ianstormtaylor)! - **The `Element.isAncestor` method is now `Node.isAncestor`.** This is done to stay consistent, where any node-related helpers that aren't specifically scoped to `Editor`, `Element`, or `Text` nodes are stored in the more general `Node` namespace instead.

## 0.62.0

### Minor Changes

- [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - **Updated `Text.equals` to deeply compare text node properties.** Previously it only did a shallow comparison, but this made it harder to keep track of more complex data structures at the text level.

* [#4154](https://github.com/ianstormtaylor/slate/pull/4154) [`7283c51f`](https://github.com/ianstormtaylor/slate/commit/7283c51feb83cb8522bc16efce09bb01c29400b9) Thanks [@ianstormtaylor](https://github.com/ianstormtaylor)! - **Start using [🦋 Changesets](https://github.com/atlassian/changesets) to manage releases.** Going forward, whenever a pull request is made that fixes or adds functionality to Slate, it will need to be accompanied by a changset Markdown file describing the change. These files will be automatically used in the release process when bump the versions of Slate and compiling the changelog.

- [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - **Added support for custom selection properties.** Previously you could set custom properties on the selection objects but it was not a fully supported feature because there was no way to delete them later. Now custom properties are officially supported and deleting them once set is possible.

### Patch Changes

- [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - Fixed `move_node` operations to normalize the node in question.

* [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - Added memoization logic to `Node.isNodeList` and `Editor.isEditor` to speed up common code paths.

- [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - Fixed a bug when merging deeply nested multi-child nodes.

* [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - Fixed a bug when deleting a hanging range with a trailing void block node.

- [`c6002024`](https://github.com/ianstormtaylor/slate/commit/c60020244b9d25094edb0ffcca8b49dead9b31dc) - Fixed a bug in `Editor.positions` which caused it to sometimes skip positions in text nodes that were segmented across inlines or marks.
