export declare const Transforms: {
    delete<V extends import("..").Value>(editor: import("..").Editor<V>, options?: {
        at?: import("..").Location | undefined;
        distance?: number | undefined;
        unit?: "character" | "word" | "line" | "block" | undefined;
        reverse?: boolean | undefined;
        hanging?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    insertFragment<V_1 extends import("..").Value>(editor: import("..").Editor<V_1>, fragment: (import("..").ElementOf<import("..").Editor<V_1>> | import("..").TextOf<import("..").Editor<V_1>>)[], options?: {
        at?: import("..").Location | undefined;
        hanging?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    insertText<V_2 extends import("..").Value>(editor: import("..").Editor<V_2>, text: string, options?: {
        at?: import("..").Location | undefined;
        voids?: boolean | undefined;
    }): void;
    collapse<V_3 extends import("..").Value>(editor: import("..").Editor<V_3>, options?: {
        edge?: "anchor" | "focus" | "start" | "end" | undefined;
    }): void;
    deselect<V_4 extends import("..").Value>(editor: import("..").Editor<V_4>): void;
    move<V_5 extends import("..").Value>(editor: import("..").Editor<V_5>, options?: {
        distance?: number | undefined;
        unit?: "offset" | "character" | "word" | "line" | undefined;
        reverse?: boolean | undefined;
        edge?: "anchor" | "focus" | "start" | "end" | undefined;
    }): void;
    select<V_6 extends import("..").Value>(editor: import("..").Editor<V_6>, target: import("..").Location): void;
    setPoint<V_7 extends import("..").Value>(editor: import("..").Editor<V_7>, props: Partial<import("..").Point>, options?: {
        edge?: "anchor" | "focus" | "start" | "end" | undefined;
    }): void;
    setSelection<V_8 extends import("..").Value>(editor: import("..").Editor<V_8>, props: Partial<import("..").Range>): void;
    insertNodes<V_9 extends import("..").Value>(editor: import("..").Editor<V_9>, nodes: import("..").ElementOf<import("..").Editor<V_9>> | import("..").TextOf<import("..").Editor<V_9>> | (import("..").ElementOf<import("..").Editor<V_9>> | import("..").TextOf<import("..").Editor<V_9>>)[], options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_9>>> | undefined;
        mode?: "highest" | "lowest" | undefined;
        hanging?: boolean | undefined;
        select?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    liftNodes<V_10 extends import("..").Value>(editor: import("..").Editor<V_10>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_10>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        voids?: boolean | undefined;
    }): void;
    mergeNodes<V_11 extends import("..").Value>(editor: import("..").Editor<V_11>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_11>>> | undefined;
        mode?: "highest" | "lowest" | undefined;
        hanging?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    moveNodes<V_12 extends import("..").Value>(editor: import("..").Editor<V_12>, options: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_12>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        to: import("..").Path;
        voids?: boolean | undefined;
    }): void;
    removeNodes<V_13 extends import("..").Value>(editor: import("..").Editor<V_13>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_13>>> | undefined;
        mode?: "highest" | "lowest" | undefined;
        hanging?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    setNodes<V_14 extends import("..").Value>(editor: import("..").Editor<V_14>, props: Partial<import("..").NodeOf<import("..").Editor<V_14>>>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_14>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        hanging?: boolean | undefined;
        split?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    splitNodes<V_15 extends import("..").Value>(editor: import("..").Editor<V_15>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_15>>> | undefined;
        mode?: "highest" | "lowest" | undefined;
        always?: boolean | undefined;
        height?: number | undefined;
        voids?: boolean | undefined;
    }): void;
    unsetNodes<V_16 extends import("..").Value>(editor: import("..").Editor<V_16>, props: string | string[], options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_16>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        split?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    unwrapNodes<V_17 extends import("..").Value>(editor: import("..").Editor<V_17>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_17>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        split?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    wrapNodes<V_18 extends import("..").Value>(editor: import("..").Editor<V_18>, element: import("..").ElementOf<import("..").Editor<V_18>>, options?: {
        at?: import("..").Location | undefined;
        match?: import("..").NodeMatch<import("..").NodeOf<import("..").Editor<V_18>>> | undefined;
        mode?: "highest" | "lowest" | "all" | undefined;
        split?: boolean | undefined;
        voids?: boolean | undefined;
    }): void;
    transform<V_19 extends import("..").Value>(editor: import("..").Editor<V_19>, op: import("..").Operation): void;
};
//# sourceMappingURL=index.d.ts.map