import { Editor, Location, Point, Range, Value } from '..';
export declare const SelectionTransforms: {
    /**
     * Collapse the selection.
     */
    collapse<V extends Value>(editor: Editor<V>, options?: {
        edge?: 'anchor' | 'focus' | 'start' | 'end';
    }): void;
    /**
     * Unset the selection.
     */
    deselect<V_1 extends Value>(editor: Editor<V_1>): void;
    /**
     * Move the selection's point forward or backward.
     */
    move<V_2 extends Value>(editor: Editor<V_2>, options?: {
        distance?: number;
        unit?: 'offset' | 'character' | 'word' | 'line';
        reverse?: boolean;
        edge?: 'anchor' | 'focus' | 'start' | 'end';
    }): void;
    /**
     * Set the selection to a new value.
     */
    select<V_3 extends Value>(editor: Editor<V_3>, target: Location): void;
    /**
     * Set new properties on one of the selection's points.
     */
    setPoint<V_4 extends Value>(editor: Editor<V_4>, props: Partial<Point>, options?: {
        edge?: 'anchor' | 'focus' | 'start' | 'end';
    }): void;
    /**
     * Set new properties on the selection.
     */
    setSelection<V_5 extends Value>(editor: Editor<V_5>, props: Partial<Range>): void;
};
//# sourceMappingURL=selection.d.ts.map