import { Editor, Location, Value } from '..';
import { ElementOf } from '../interfaces/element';
import { TextOf } from '../interfaces/text';
export declare const TextTransforms: {
    /**
     * Delete content in the editor.
     */
    delete<V extends Value>(editor: Editor<V>, options?: {
        at?: Location;
        distance?: number;
        unit?: 'character' | 'word' | 'line' | 'block';
        reverse?: boolean;
        hanging?: boolean;
        voids?: boolean;
    }): void;
    /**
     * Insert a fragment at a specific location in the editor.
     */
    insertFragment<V_1 extends Value>(editor: Editor<V_1>, fragment: (ElementOf<Editor<V_1>> | TextOf<Editor<V_1>>)[], options?: {
        at?: Location;
        hanging?: boolean;
        voids?: boolean;
    }): void;
    /**
     * Insert a string of text in the Editor.
     */
    insertText<V_2 extends Value>(editor: Editor<V_2>, text: string, options?: {
        at?: Location;
        voids?: boolean;
    }): void;
};
//# sourceMappingURL=text.d.ts.map